# Tourplaner: tourplaner.business.TourPlaner Class Reference

tourplaner.business.TourPlaner Class Reference

## Static Public Member Functions

static void | init ()
static ArrayList< Tour > | getAllTours ()
static boolean | editTour (String oldname, Tour tour) throws IOException
static boolean | delTour (String tourname)
static boolean | addTour (Tour newTour, ProgressBar progressBar) throws IOException
static Image | getImage (String tourname) throws IOException
static String | getImagePath (String tourname)
static String | getImagePdfPath (String tourname)
static void | openImage (String tourname)
static ArrayList< Log > | getLogs (String tourname)
static void | doReport (String tourname)
static Tour | getTour (String tourname)
static boolean | addLog (String tourname, Log log)
static boolean | delLog (String tourname, String id)
static boolean | editLog (String tourname, Log log)
static ArrayList< Tour > | sucheTour (String tourname)

## Detailed Description

Haupt Logik des Tourplaners

## Member Function Documentation

## addLog()

static boolean tourplaner.business.TourPlaner.addLog | ( | String | tourname,
|  | Log | log
| ) |  |

static

Fügt ein Log hinzu

Parameters

  tourname | Name der Tour
  log | Neues Log

Returns
  false bei error

## addTour()

static boolean tourplaner.business.TourPlaner.addTour | ( | Tour | newTour,
|  | ProgressBar | progressBar
| ) |  | throws IOException

static

Fügt eine Tour hinzu

Parameters

  newTour | Neue Tour

Returns
  false bei error

## delLog()

static boolean tourplaner.business.TourPlaner.delLog | ( | String | tourname,
|  | String | id
| ) |  |

static

Löscht ein Log

Parameters

  tourname | Name der Tour
  id | Id des Logs

Returns
  false bei error

## delTour()

static boolean tourplaner.business.TourPlaner.delTour | ( | String | tourname | ) |

static

Löscht eine Tour

Parameters

  tourname | Tourname

Returns
  false bei error

## doReport()

static void tourplaner.business.TourPlaner.doReport | ( | String | tourname | ) |

static

Führt einen Rport aus

Parameters

  tourname | Name der Tour die gereportet wird

## editLog()

static boolean tourplaner.business.TourPlaner.editLog | ( | String | tourname,
|  | Log | log
| ) |  |

static

Editiert ein Log

Parameters

  tourname | Name der Tour
  log | Neues Log

Returns
  false bei error

## editTour()

static boolean tourplaner.business.TourPlaner.editTour | ( | String | oldname,
|  | Tour | tour
| ) |  | throws IOException

static

Bearbeitet eine Tour

Parameters

  oldname | Alter Tourname
  tour | Neuer Tourname

Returns
  false bei error

## getAllTours()

static ArrayList<Tour> tourplaner.business.TourPlaner.getAllTours | ( |  | ) |

static

Holt alle touren aus der DB

Returns
  Alle touren als ArrayList

## getImage()

static Image tourplaner.business.TourPlaner.getImage | ( | String | tourname | ) | throws IOException

static

Holt das Gui Bild

Parameters

  tourname | Name der Tour

Returns
  Das Bild

Exceptions

  IOException | Error beim Bild holen

## getImagePath()

static String tourplaner.business.TourPlaner.getImagePath | ( | String | tourname | ) |

static

Path zu dem Bild für die GUI

Parameters

  tourname | Name der Tour

Returns
  Path zu dem Bild für die GUI

## getImagePdfPath()

static String tourplaner.business.TourPlaner.getImagePdfPath | ( | String | tourname | ) |

static

Path zu dem Bild für die PDF

Parameters

  tourname | Name der Tour

Returns
  Path zu dem Bild für die PDF

## getLogs()

static ArrayList<Log> tourplaner.business.TourPlaner.getLogs | ( | String | tourname | ) |

static

Holt alle Logs einer Tour

Parameters

  tourname | Tourname

Returns
  Alle Logs der Tour

## getTour()

static Tour tourplaner.business.TourPlaner.getTour | ( | String | tourname | ) |

static

Holt eine Tour

Parameters

  tourname | Name der zu holenden Tour

Returns
  Tour die geholt werden soll

## init()

static void tourplaner.business.TourPlaner.init | ( |  | ) |

static

Erstellt alle DB Tabellen falls nötig

## openImage()

static void tourplaner.business.TourPlaner.openImage | ( | String | tourname | ) |

static

Öffnet ein Bild einer Tour

Parameters

  tourname | Tourname

## sucheTour()

static ArrayList<Tour> tourplaner.business.TourPlaner.sucheTour | ( | String | tourname | ) |

static

Sucht alle touren die den gegebenen tournamen enthalten

Parameters

  tourname | Name der zu suchen ist

Returns
  Alle touren die auf den Suchterm passen

The documentation for this class was generated from the following file:

- src/tourplaner/business/TourPlaner.java